Skip to main content
GET
List invoices

Authorizations

X-App-Id
string
header
required

App ID for authentication

X-Api-Key
string
header
required

API Key for authentication

Query Parameters

status
enum<string>
default:all

The status of the invoices to fetch

Available options:
unpaid,
paid,
all
invoice_state
enum<string>

Comma separated list of invoice state to filter by. Options: overdue, between_1_and_30_days, between_31_and_60_days, between_61_and_90_days, between_91_and_120_days, over_120_days, closed, voided, has_credit, manual_billing, quickpay.

Available options:
overdue,
between_1_and_30_days,
between_31_and_60_days,
between_61_and_90_days,
between_91_and_120_days,
over_120_days,
closed,
voided,
has_credit,
manual_billing,
quickpay
customer_uuid
string<uuid>

The UUID of the customer to filter invoices by

customer_group_uuid
string<uuid>

The UUID of the customer group to filter invoices by

date_range
string

Filter by date range. Format: 'MM-DD-YYYY,MM-DD-YYYY' (both dates inclusive). If only one date is provided, it is used as both the start and end.

Example:

"06-01-2024,06-11-2025"

amount_range
string

Filter by amount range, in cents. Format: '[min,max]'. Use '[200,]' for at-least, '[,200]' for at-most, '[100,500]' for a range.

Example:

"[100,500]"

keyword
string

Search term.

sort_col
string

Column to sort by.

sort_direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
include_group_invoices
boolean

Whether to include invoices that are part of a customer's group

page
integer
default:1

Page number for pagination.

per_page
integer
default:20

Number of records per page.

Response

Successful operation

invoices
object[]
meta
object